# DataExchange
TKXSBase
StepData

# StepData_FieldListN Class Reference

Describes a list of fields, in a general way
This basic class is for a null size list
Subclasses are for 1, N (fixed) or Dynamic sizes
.

`#include <StepData_FieldListN.hxx>`

Inheritance diagram for StepData_FieldListN:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepData_FieldListN (const Standard_Integer nb)
| Creates a FieldListN of <nb> Fields .
virtual Standard_EXPORT Standard_Integer | NbFields () const
| Returns the count of fields. Here, returns starting <nb> .
virtual Standard_EXPORT const StepData_Field & | Field (const Standard_Integer num) const
| Returns the field n0 <num> between 1 and NbFields (read only) .
virtual Standard_EXPORT StepData_Field & | CField (const Standard_Integer num)
| Returns the field n0 <num> between 1 and NbFields, in order to modify its content .
virtual Standard_EXPORT void | Destroy ()
virtual Standard_EXPORT | ~StepData_FieldListN ()

## Private Attributes

StepData_Array1OfField | thefields

## Constructor & Destructor Documentation

Standard_EXPORT StepData_FieldListN::StepData_FieldListN | ( | const Standard_Integer | nb | ) |

virtual Standard_EXPORT StepData_FieldListN::~StepData_FieldListN | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual Standard_EXPORT StepData_Field& StepData_FieldListN::CField | ( | const Standard_Integer | num | ) | `[virtual]`

| Reimplemented from StepData_FieldList.

virtual Standard_EXPORT void StepData_FieldListN::Destroy | ( |  | ) | `[virtual]`

virtual Standard_EXPORT const StepData_Field& StepData_FieldListN::Field | ( | const Standard_Integer | num | ) | const`[virtual]`

| Reimplemented from StepData_FieldList.

virtual Standard_EXPORT Standard_Integer StepData_FieldListN::NbFields | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_FieldList.

void StepData_FieldListN::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_FieldList.

void* StepData_FieldListN::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_FieldList.

void* StepData_FieldListN::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_FieldList.

## Field Documentation

StepData_Array1OfField StepData_FieldListN::thefields `[private]`

The documentation for this class was generated from the following file:

- StepData_FieldListN.hxx